/*
 * minig_class.hpp
 *
 *  Created on: 2010.04.19.
 *      Author: Szabó László
 */

#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_ttf.h"
#include "SDL/SDL_mixer.h"

#include "mini1.hpp"
#include "mini2.hpp"
#include "mini3.hpp"

#include "funcs.hpp"


#ifndef MINIG_CLASS_HPP_
#define MINIG_CLASS_HPP_

class minis{
	private:
		SDL_Surface* sheet;
		int x, y, frame, game;
		bool there_is;

		SDL_Rect hitbox;

		SDL_Rect offsets[ 4 ];

		Mix_Chunk* effect;

	public:
		minis();
		~minis();

		void place();

		void show( SDL_Surface* & screen );

		void collect( int & score, SDL_Surface* & screen );

		bool is_on();

		SDL_Rect get_hitbox();
};

#endif /* MINIG_CLASS_HPP_ */
